
#version 330 core
layout (location = 0) in vec4 vertex; // <vec2 position, vec2 texCoords>

// out vec2 TexCoords;
out vec4 ParticleColor;

uniform mat4 viewProjMatrix;
uniform vec3 offset;
uniform vec3 cameraRight;
uniform vec3 cameraUp;
uniform vec4 color;

void main()
{
    float scale = 0.06f;
    // TexCoords = vertex.zw;
    ParticleColor = color;
    // gl_Position = projection * vec4((vertex.xy * scale) + offset, 0.0, 1.0);
    // gl_Position = projection * vec4((vertex.xy * scale), 0.0, 1.0);
    vec3 worldPos = cameraRight * vertex.x*scale + cameraUp * vertex.y*scale + offset;
    gl_Position = viewProjMatrix * vec4(worldPos, 1.0);
}